Bug 1002978 - Failed to negotiate protocol, retrying with plain RDP
Summary: Failed to negotiate protocol, retrying with plain RDP
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
(Show other bugs)
Version: 22
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jon Disnard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-30 12:04 UTC by Oleg Kochkin
Modified: 2016-07-19 10:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 10:20:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oleg Kochkin 2013-08-30 12:04:19 UTC
Description of problem:
Connect to Windows Terminal Server 2003-x64 (Two different servers) as

rdesktop -u myuser -p mypassword serverhost:4000

Not connected and write:

"Autoselected keyboard map ru
Failed to negotiate protocol, retrying with plain RDP."

If connect to Windows Server 2008-x64 (Two different servers), work normally.

Version-Release number of selected component (if applicable):
rdesktop-1.8.0-1.fc19.x86_64

Temporary downgrade to version 1.7.1-2.fc19.x86_64. This version worked.

Comment 1 Dominik 'Rathann' Mierzejewski 2013-12-25 19:02:17 UTC
Please check if the latest update to 1.8.1 works for you:
https://admin.fedoraproject.org/updates/FEDORA-2013-23911/rdesktop-1.8.1-1.fc19

Comment 2 Ken Fallon 2014-05-05 11:18:26 UTC
Also getting

Failed to negotiate protocol, retrying with plain RDP.
ERROR: recv: Connection reset by peer

Version 1.8.1. Copyright (C) 1999-2011 Matthew Chapman et al.

Comment 3 Dominik 'Rathann' Mierzejewski 2014-05-21 13:25:10 UTC
Please check if the latest 1.8.2 build from koji fixes things for you:
https://koji.fedoraproject.org/koji/buildinfo?buildID=517973

Comment 4 Ken Fallon 2014-05-27 08:34:30 UTC
Failed to negotiate protocol, retrying with plain RDP.
ERROR: recv: Connection reset by peer

Version 1.8.2. Copyright (C) 1999-2011 Matthew Chapman et al.

Comment 5 Fedora End Of Life 2015-01-09 19:39:26 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 16:59:29 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Baif 2015-03-24 09:55:43 UTC
rdesktop 1.8.0/1.8.1/1.8.2/1.8.3 has issuse with VirtualBox VRDE.

Please switch to freerdp on Fedora:

$ sudo yum install freerdp -y

$ xfreerdp localhost

FYI:
http://remotebox.knobgoblin.org.uk/documentation.cgi

Comment 8 Paul Stauffer 2015-07-13 15:24:44 UTC
Problem persists with 1.8.3-1 in Fedora 22.

$ rpm -q rdesktop
rdesktop-1.8.3-1.fc22.x86_64
$ rdesktop remotehost.example.com
Failed to negotiate protocol, retrying with plain RDP.
$

Remote host is running Windows Server 2008R2.

Comment 9 Alfredo Ferrari 2015-12-08 07:09:56 UTC
.. same here with rdesktop-1.8.3-1.fc22, connecting to a Windows Server 2008R2

Comment 10 Fedora End Of Life 2016-07-19 10:20:27 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.